# O-RAN O2 API #

This page renders the OpenAPI specification for the O-RAN O2 API directly inline.

O2IMS-InfrastructureInventory

GET /o2ims-infrastructureInventory/api_versions
Status Codes:
Response JSON Object:
  • apiVersions[].version (string) – Identifies a supported version. (required)

  • uriPrefix (string) – Specifies the URI prefix for the API (required)

GET /o2ims-infrastructureInventory/v1
Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • description (string) – Human readable description of the O-Cloud.

  • extensions (string) – These are unspecified (not standardized) properties (keys) which are tailored by the vendor to extend the information provided about the O-Cloud.

  • globalCloudId (string) – Identifier of the O-Cloud instance. Globally unique across O-Cloud instances.

  • globalcloudId (string) – Identifier of the O-Cloud instance. Globally unique across O-Cloud instances.(Specification)

  • name (string) – Human readable name of the O-Cloud.

  • oCloudId (string) – Identifier for the containing O-Cloud. (required)

  • serviceUri (string) – The fully qualified URI root to all services provided by the O2ims interface

GET /o2ims-infrastructureInventory/v1/
Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • description (string) – Human readable description of the O-Cloud.

  • extensions (string) – These are unspecified (not standardized) properties (keys) which are tailored by the vendor to extend the information provided about the O-Cloud.

  • globalCloudId (string) – Identifier of the O-Cloud instance. Globally unique across O-Cloud instances.

  • globalcloudId (string) – Identifier of the O-Cloud instance. Globally unique across O-Cloud instances.(Specification)

  • name (string) – Human readable name of the O-Cloud.

  • oCloudId (string) – Identifier for the containing O-Cloud. (required)

  • serviceUri (string) – The fully qualified URI root to all services provided by the O2ims interface

GET /o2ims-infrastructureInventory/v1/api_versions
Status Codes:
Response JSON Object:
  • apiVersions[].version (string) – Identifies a supported version. (required)

  • uriPrefix (string) – Specifies the URI prefix for the API (required)

GET /o2ims-infrastructureInventory/v1/deploymentManagers
Query Parameters:
  • filter (string) – Filter of the query.

  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • nextpage_opaque_marker (string) – Page number of the results to fetch. Default: 1

Status Codes:
Response JSON Object:
  • [].capabilities.OS (string) – Show the OS capablities of the Deployment Manager

  • [].capacity.cpu (string) – Show the cpu capacity of the Deployment Manager

  • [].capacity.hugepages-1Gi (string) – Show the 1Gi hugepages capacity of the Deployment Manager

  • [].capacity.hugepages-2Mi (string) – Show the 2Mi hugepages capacity of the Deployment Manager

  • [].deploymentManagerId (string) – Identifier for the Deployment Manager. (required)

  • [].description (string) – Human readable description of the deployment manager.

  • [].extensions (string) – List of metadata key-value pairs used to associate meaningful metadata to the related Deployment Manager

  • [].name (string) – Human readable name of the deployment manager.

  • [].oCloudId (string) – Identifier for the containing O-Cloud.

  • [].profileSupportList[] (string)

  • [].serviceUri (string) – The fully qualified URI to a Deployment Management server for O2dms.

  • [].supportedLocations (string)

GET /o2ims-infrastructureInventory/v1/deploymentManagers/{deploymentManagerID}
Parameters:
  • deploymentManagerID (string) – ID of the deployment manager

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • profile (string) – DMS profile: value supports “native_k8sapi”

Status Codes:
Response JSON Object:
  • capabilities.OS (string) – Show the OS capablities of the Deployment Manager

  • capacity.cpu (string) – Show the cpu capacity of the Deployment Manager

  • capacity.hugepages-1Gi (string) – Show the 1Gi hugepages capacity of the Deployment Manager

  • capacity.hugepages-2Mi (string) – Show the 2Mi hugepages capacity of the Deployment Manager

  • deploymentManagerId (string) – Identifier for the Deployment Manager. (required)

  • description (string) – Human readable description of the deployment manager.

  • extensions.profileData.admin_client_cert (string) – Kubernetes Admin client cert

  • extensions.profileData.admin_client_key (string) – Kubernetes Admin client key

  • extensions.profileData.admin_user (string) – Kubernetes Admin username

  • extensions.profileData.cluster_api_endpoint (string) – Kubernetes Cluster API Endpoint

  • extensions.profileData.cluster_ca_cert (string) – Kubernetes Cluster CA cert

  • extensions.profileData.helmcli_host_with_port (string) – Helm CLI Host address with SSH port

  • extensions.profileData.helmcli_kubeconfig (string) – Helm CLI KUBECONFIG path

  • extensions.profileData.helmcli_password (string) – Helm CLI SSH login password

  • extensions.profileData.helmcli_username (string) – Helm CLI SSH login username

  • extensions.profileName (string)

  • name (string) – Human readable name of the deployment manager.

  • oCloudId (string) – Identifier for the containing O-Cloud.

  • serviceUri (string) – The fully qualified URI to a Deployment Management server for O2dms.

  • supportedLocations (string)

GET /o2ims-infrastructureInventory/v1/resourcePools
Query Parameters:
  • filter (string) – Filter of the query.

  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • nextpage_opaque_marker (string) – Page number of the results to fetch. Default: 1

Status Codes:
Response JSON Object:
  • [].description (string) – Human readable description of the resource pool.

  • [].extensions (string) – List of metadata key-value pairs used to associate meaningful metadata to the related resource pool.

  • [].globalLocationId (string) – This identifier is copied from the O-Cloud Id assigned by the SMO during the O-Cloud deployment.

  • [].location (string) – Information about the geographical location of the resource pool as detected by the O-Cloud.

  • [].name (string) – Human readable name of the resource pool.

  • [].oCloudId (string) – Identifier for the containing O-Cloud.

  • [].resourcePoolId (string) – Identifier for the Resource Pool in the O-Cloud instance. (required)

GET /o2ims-infrastructureInventory/v1/resourcePools/{resourcePoolID}
Parameters:
  • resourcePoolID (string) – ID of the resource pool

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • description (string) – Human readable description of the resource pool.

  • extensions (string) – List of metadata key-value pairs used to associate meaningful metadata to the related resource pool.

  • globalLocationId (string) – This identifier is copied from the O-Cloud Id assigned by the SMO during the O-Cloud deployment.

  • location (string) – Information about the geographical location of the resource pool as detected by the O-Cloud.

  • name (string) – Human readable name of the resource pool.

  • oCloudId (string) – Identifier for the containing O-Cloud.

  • resourcePoolId (string) – Identifier for the Resource Pool in the O-Cloud instance. (required)

GET /o2ims-infrastructureInventory/v1/resourcePools/{resourcePoolID}/resources
Parameters:
  • resourcePoolID (string) – ID of the resource pool

Query Parameters:
  • filter (string) – Filter of the query.

  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • nextpage_opaque_marker (string) – Page number of the results to fetch. Default: 1

Status Codes:
Response JSON Object:
  • [].description (string) – Human readable description of the resource.

  • [].extensions (object)

  • [].globalAssetId (string) – Identifier or serial number of the resource.

  • [].parentId (string) – Identifier for the parent resource.

  • [].resourceId (string) – Identifier for the Resource. (required)

  • [].resourcePoolId (string) – Identifier of the Resource Pool containing this resource.

  • [].resourceTypeId (string) – Identifier for the Resource Type of this resource.

GET /o2ims-infrastructureInventory/v1/resourcePools/{resourcePoolID}/resources/{resourceID}
Parameters:
  • resourceID (string) – ID of the resource

  • resourcePoolID (string) – ID of the resource pool

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • description (string) – Human readable description of the resource.

  • elements[].description (string) – Human readable description of the resource.

  • elements[].elements[].description (string) – Human readable description of the resource.

  • elements[].elements[].extensions (object)

  • elements[].elements[].globalAssetId (string) – Identifier or serial number of the resource.

  • elements[].elements[].parentId (string) – Identifier for the parent resource.

  • elements[].elements[].resourceId (string) – Identifier for the Resource. (required)

  • elements[].elements[].resourcePoolId (string) – Identifier of the Resource Pool containing this resource.

  • elements[].elements[].resourceTypeId (string) – Identifier for the Resource Type of this resource.

  • elements[].extensions (object)

  • elements[].globalAssetId (string) – Identifier or serial number of the resource.

  • elements[].parentId (string) – Identifier for the parent resource.

  • elements[].resourceId (string) – Identifier for the Resource. (required)

  • elements[].resourcePoolId (string) – Identifier of the Resource Pool containing this resource.

  • elements[].resourceTypeId (string) – Identifier for the Resource Type of this resource.

  • extensions (object)

  • globalAssetId (string) – Identifier or serial number of the resource.

  • parentId (string) – Identifier for the parent resource.

  • resourceId (string) – Identifier for the Resource. (required)

  • resourcePoolId (string) – Identifier of the Resource Pool containing this resource.

  • resourceTypeId (string) – Identifier for the Resource Type of this resource.

GET /o2ims-infrastructureInventory/v1/resourceTypes
Query Parameters:
  • filter (string) – Filter of the query.

  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • nextpage_opaque_marker (string) – Page number of the results to fetch. Default: 1

Status Codes:
Response JSON Object:
  • [].alarmDictionary.alarmDefinition[].alarmAdditionalFields (string) – List of metadata key-value pairs used to associate meaningful metadata to the related resource type.

  • [].alarmDictionary.alarmDefinition[].alarmChangeType (string) – Indicates the type of change that occurred during the alarm last change; added, deleted, modified.

  • [].alarmDictionary.alarmDefinition[].alarmDefinitionId (string) – Provides a unique identifier of the alarm being raised.

  • [].alarmDictionary.alarmDefinition[].alarmDescription (string) – Provides a longer descriptive meaning of the alarm condition and a description of the consequences of the alarm condition.

  • [].alarmDictionary.alarmDefinition[].alarmLastChange (string) – Indicates the Alarm Dictionary Version in which this alarm last changed.

  • [].alarmDictionary.alarmDefinition[].alarmName (string) – Provides short name for the alarm.

  • [].alarmDictionary.alarmDefinition[].clearingType (string) – Identifies whether alarm is cleared automatically or manually.

  • [].alarmDictionary.alarmDefinition[].managementInterfaceId (string) – List of management interface over which alarms are transmitted for this Entity Type.

  • [].alarmDictionary.alarmDefinition[].pkNotificationField (string) – Identifies which field or list of fields in the alarm notification contains the primary key (PK) into the Alarm Dictionary for this interface; i.e. which field contains the Alarm Definition ID.

  • [].alarmDictionary.alarmDefinition[].proposedRepairActions (string) – Provides guidance for proposed repair actions.

  • [].alarmDictionary.alarmDictionarySchemaVersion (string) – Version of the Alarm Dictionary Schema to which this alarm dictionary conforms.

  • [].alarmDictionary.alarmDictionaryVersion (string) – Version of the Alarm Dictionary.

  • [].alarmDictionary.entityType (string) – O-RAN entity type emitting the alarm: This shall be unique per vendor ResourceType.model and ResourceType.version

  • [].alarmDictionary.id (string) – Identifier for the Alarm Dictionary.

  • [].alarmDictionary.managementInterfaceId (string) – List of management interface over which alarms are transmitted for this Entity Type.

  • [].alarmDictionary.pkNotificationField (string) – Identifies which field or list of fields in the alarm notification contains the primary key (PK) into the Alarm Dictionary for this interface; i.e. which field contains the Alarm Definition ID.

  • [].alarmDictionary.vendor (string) – Vendor of the Entity Type to whom this Alarm Dictionary applies. This should be the same value as in the ResourceType.vendor attribute.

  • [].description (string) – Human readable description of the resource type.

  • [].extensions (string) – List of metadata key-value pairs used to associate meaningful metadata to the related resource type.

  • [].model (string) – Information about the model of the resource as defined by its provider.

  • [].name (string) – Human readable name of the resource type.

  • [].resourceTypeId (string) – Identifier for the Resource Type. (required)

  • [].vendor (string) – Provider of the Resource.

  • [].version (string) – Version or generation of the resource as defined by its provider.

GET /o2ims-infrastructureInventory/v1/resourceTypes/{resourceTypeID}
Parameters:
  • resourceTypeID (string) – ID of the resource type

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • alarmDictionary.alarmDefinition[].alarmAdditionalFields (string) – List of metadata key-value pairs used to associate meaningful metadata to the related resource type.

  • alarmDictionary.alarmDefinition[].alarmChangeType (string) – Indicates the type of change that occurred during the alarm last change; added, deleted, modified.

  • alarmDictionary.alarmDefinition[].alarmDefinitionId (string) – Provides a unique identifier of the alarm being raised.

  • alarmDictionary.alarmDefinition[].alarmDescription (string) – Provides a longer descriptive meaning of the alarm condition and a description of the consequences of the alarm condition.

  • alarmDictionary.alarmDefinition[].alarmLastChange (string) – Indicates the Alarm Dictionary Version in which this alarm last changed.

  • alarmDictionary.alarmDefinition[].alarmName (string) – Provides short name for the alarm.

  • alarmDictionary.alarmDefinition[].clearingType (string) – Identifies whether alarm is cleared automatically or manually.

  • alarmDictionary.alarmDefinition[].managementInterfaceId (string) – List of management interface over which alarms are transmitted for this Entity Type.

  • alarmDictionary.alarmDefinition[].pkNotificationField (string) – Identifies which field or list of fields in the alarm notification contains the primary key (PK) into the Alarm Dictionary for this interface; i.e. which field contains the Alarm Definition ID.

  • alarmDictionary.alarmDefinition[].proposedRepairActions (string) – Provides guidance for proposed repair actions.

  • alarmDictionary.alarmDictionarySchemaVersion (string) – Version of the Alarm Dictionary Schema to which this alarm dictionary conforms.

  • alarmDictionary.alarmDictionaryVersion (string) – Version of the Alarm Dictionary.

  • alarmDictionary.entityType (string) – O-RAN entity type emitting the alarm: This shall be unique per vendor ResourceType.model and ResourceType.version

  • alarmDictionary.id (string) – Identifier for the Alarm Dictionary.

  • alarmDictionary.managementInterfaceId (string) – List of management interface over which alarms are transmitted for this Entity Type.

  • alarmDictionary.pkNotificationField (string) – Identifies which field or list of fields in the alarm notification contains the primary key (PK) into the Alarm Dictionary for this interface; i.e. which field contains the Alarm Definition ID.

  • alarmDictionary.vendor (string) – Vendor of the Entity Type to whom this Alarm Dictionary applies. This should be the same value as in the ResourceType.vendor attribute.

  • description (string) – Human readable description of the resource type.

  • extensions (string) – List of metadata key-value pairs used to associate meaningful metadata to the related resource type.

  • model (string) – Information about the model of the resource as defined by its provider.

  • name (string) – Human readable name of the resource type.

  • resourceTypeId (string) – Identifier for the Resource Type. (required)

  • vendor (string) – Provider of the Resource.

  • version (string) – Version or generation of the resource as defined by its provider.

GET /o2ims-infrastructureInventory/v1/subscriptions
Query Parameters:
  • filter (string) – Filter of the query.

  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • nextpage_opaque_marker (string) – Page number of the results to fetch. Default: 1

Status Codes:
Response JSON Object:
  • [].callback (string) – The fully qualified URI to a consumer procedure which can process a Post of the InventoryEventNotification.

  • [].consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • [].filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

  • [].subscriptionId (string) – Identifier for the Subscription. (required)

POST /o2ims-infrastructureInventory/v1/subscriptions
Request JSON Object:
  • callback (string) – Identifier for the Subscription. (required)

  • consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

Status Codes:
Response JSON Object:
  • callback (string) – The fully qualified URI to a consumer procedure which can process a Post of the InventoryEventNotification.

  • consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

  • subscriptionId (string) – Identifier for the Subscription. (required)

GET /o2ims-infrastructureInventory/v1/subscriptions/{subscriptionID}
Parameters:
  • subscriptionID (string) – ID of the subscription

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • callback (string) – The fully qualified URI to a consumer procedure which can process a Post of the InventoryEventNotification.

  • consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

  • subscriptionId (string) – Identifier for the Subscription. (required)

DELETE /o2ims-infrastructureInventory/v1/subscriptions/{subscriptionID}
Parameters:
  • subscriptionID (string) – ID of the subscription

Status Codes:

O2IMS-InfrastructureMonitoring

GET /o2ims-infrastructureMonitoring/api_versions
Status Codes:
Response JSON Object:
  • apiVersions[].version (string) – Identifies a supported version. (required)

  • uriPrefix (string) – Specifies the URI prefix for the API (required)

GET /o2ims-infrastructureMonitoring/v1/alarmSubscriptions
Query Parameters:
  • filter (string) – Filter of the query.

  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • nextpage_opaque_marker (string) – Page number of the results to fetch. Default: 1

Status Codes:
Response JSON Object:
  • [].alarmSubscriptionId (string) – Identifier for the Alarm Subscription. (required)

  • [].callback (string) – The fully qualified URI to a consumer procedure which can process a Post of the InventoryEventNotification.

  • [].consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • [].filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

POST /o2ims-infrastructureMonitoring/v1/alarmSubscriptions
Request JSON Object:
  • callback (string) – The fully qualified URI to a consumer procedure which can process a Post of the InventoryEventNotification. (required)

  • consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

Status Codes:
Response JSON Object:
  • alarmSubscriptionId (string) – Identifier for the Alarm Subscription. (required)

  • callback (string) – The fully qualified URI to a consumer procedure which can process a Post of the InventoryEventNotification.

  • consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

GET /o2ims-infrastructureMonitoring/v1/alarmSubscriptions/{alarmSubscriptionID}
Parameters:
  • alarmSubscriptionID (string) – ID of the Alarm Subscription

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • alarmSubscriptionId (string) – Identifier for the Alarm Subscription. (required)

  • callback (string) – The fully qualified URI to a consumer procedure which can process a Post of the InventoryEventNotification.

  • consumerSubscriptionId (string) – Identifier for the consumer of events sent due to the Subscription.

  • filter (string) – Criteria for events which do not need to be reported or will be filtered by the subscription notification service. Therefore, if a filter is not provided then all events are reported.

DELETE /o2ims-infrastructureMonitoring/v1/alarmSubscriptions/{alarmSubscriptionID}
Parameters:
  • alarmSubscriptionID (string) – ID of the Alarm Subscription

Status Codes:
GET /o2ims-infrastructureMonitoring/v1/alarms
Query Parameters:
  • filter (string) – Filter of the query.

  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

  • nextpage_opaque_marker (string) – Page number of the results to fetch. Default: 1

Status Codes:
Response JSON Object:
  • [].alarmAcknowledgeTime (string) – Date/Time stamp value when the alarm condition is acknowledged.

  • [].alarmAcknowledged (boolean) – Boolean value indicating of a management system has acknowledged the alarm.

  • [].alarmChangedTime (string) – Date/Time stamp value when any value of the AlarmEventRecord has been modified.

  • [].alarmDefinitionID (string) – A reference to the Alarm Definition record in the Alarm Dictionary associated with the referenced Resource Type.(Specification)

  • [].alarmDefinitionId (string) – A reference to the Alarm Definition record in the Alarm Dictionary associated with the referenced Resource Type.

  • [].alarmEventRecordId (string) – The identifier for the AlarmEventRecord Object. (required)

  • [].alarmRaisedTime (string) – Date/Time stamp value when the AlarmEventRecord has been created.

  • [].extensions (object)

  • [].perceivedSeverity (string) – One of the following values: 0 for “CRITICAL” 1 for “MAJOR” 2 for “MINOR” 3 for “WARNING” 4 for “INDETERMINATE” 5 for “CLEARED”

  • [].probableCauseID (string) – A reference to the ProbableCause of the Alarm.(Specification)

  • [].probableCauseId (string) – A reference to the ProbableCause of the Alarm.

  • [].resourceID (string) – A reference to the resource instance which caused the alarm.(Specification)

  • [].resourceId (string) – A reference to the resource instance which caused the alarm.

  • [].resourceTypeID (string) – A reference to the type of resource which caused the alarm.(Specification)

  • [].resourceTypeId (string) – A reference to the type of resource which caused the alarm.

PATCH /o2ims-infrastructureMonitoring/v1/alarms/{alarmEventRecordId}
Parameters:
  • alarmEventRecordId (string) – ID of the alarm event record

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Request JSON Object:
  • alarmAcknowledged (boolean) – Boolean value indication of a management system has acknowledged the alarm.

  • perceivedSeverity (string) – indicate that the alarm record is requested to be cleared. Only the value “5” for “CLEARED” is permitted in a request message content.

Status Codes:
Response JSON Object:
  • alarmAcknowledged (boolean) – Boolean value indication of a management system has acknowledged the alarm.

  • perceivedSeverity (string) – indicate that the alarm record is requested to be cleared. Only the value “5” for “CLEARED” is permitted in a request message content.

GET /o2ims-infrastructureMonitoring/v1/alarms/{alarmEventRecordId}
Parameters:
  • alarmEventRecordId (string) – ID of the alarm event record

Query Parameters:
  • exclude_default (string) – Exclude showing all default fields, Set “true” to enable.

  • exclude_fields (string) – Set fields to exclude showing, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exclude_default”.

  • fields (string) – Set fields to show, split by comma, “/” for parent and children. Like “name,parent/children”. This value will cover “exculde_fields”.

  • all_fields (string) – Set any value for show all fields. This value will cover “fields” and “all_fields”.

Status Codes:
Response JSON Object:
  • alarmAcknowledgeTime (string) – Date/Time stamp value when the alarm condition is acknowledged.

  • alarmAcknowledged (boolean) – Boolean value indicating of a management system has acknowledged the alarm.

  • alarmChangedTime (string) – Date/Time stamp value when any value of the AlarmEventRecord has been modified.

  • alarmDefinitionID (string) – A reference to the Alarm Definition record in the Alarm Dictionary associated with the referenced Resource Type.(Specification)

  • alarmDefinitionId (string) – A reference to the Alarm Definition record in the Alarm Dictionary associated with the referenced Resource Type.

  • alarmEventRecordId (string) – The identifier for the AlarmEventRecord Object. (required)

  • alarmRaisedTime (string) – Date/Time stamp value when the AlarmEventRecord has been created.

  • extensions (object)

  • perceivedSeverity (string) – One of the following values: 0 for “CRITICAL” 1 for “MAJOR” 2 for “MINOR” 3 for “WARNING” 4 for “INDETERMINATE” 5 for “CLEARED”

  • probableCauseID (string) – A reference to the ProbableCause of the Alarm.(Specification)

  • probableCauseId (string) – A reference to the ProbableCause of the Alarm.

  • resourceID (string) – A reference to the resource instance which caused the alarm.(Specification)

  • resourceId (string) – A reference to the resource instance which caused the alarm.

  • resourceTypeID (string) – A reference to the type of resource which caused the alarm.(Specification)

  • resourceTypeId (string) – A reference to the type of resource which caused the alarm.

GET /o2ims-infrastructureMonitoring/v1/api_versions
Status Codes:
Response JSON Object:
  • [].apiVersions[].version (string) – Identifies a supported version. (required)

  • [].uriPrefix (string) – Specifies the URI prefix for the API (required)